--- old/usr/src/uts/common/fs/zfs/zfs_dir.c	Wed Jul 18 15:51:29 2012
+++ new/usr/src/uts/common/fs/zfs/zfs_dir.c	Wed Jul 18 15:51:28 2012
@@ -20,6 +20,7 @@
  */
 /*
  * Copyright (c) 2005, 2010, Oracle and/or its affiliates. All rights reserved.
+ * Copyright (c) 2012 by Delphix. All rights reserved.
  */
 
 #include <sys/types.h>
@@ -454,8 +455,8 @@
 	ASSERT(zp->z_unlinked);
 	ASSERT(zp->z_links == 0);
 
-	VERIFY3U(0, ==,
-	    zap_add_int(zfsvfs->z_os, zfsvfs->z_unlinkedobj, zp->z_id, tx));
+	VERIFY0(zap_add_int(zfsvfs->z_os, zfsvfs->z_unlinkedobj,
+	    zp->z_id, tx));
 }
 
 /*
@@ -671,8 +672,8 @@
 	}
 
 	/* Remove this znode from the unlinked set */
-	VERIFY3U(0, ==,
-	    zap_remove_int(zfsvfs->z_os, zfsvfs->z_unlinkedobj, zp->z_id, tx));
+	VERIFY0(zap_remove_int(zfsvfs->z_os, zfsvfs->z_unlinkedobj,
+	    xzp->z_id, tx));
 
 	zfs_znode_delete(zp, tx);
 
